Bug 154769 - Build kernel modules 2.6.11 and after with CONFIG_DRM=m
Build kernel modules 2.6.11 and after with CONFIG_DRM=m
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://groups.google.co.ve/groups?hl=...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-13 21:48 EDT by Robert Marcano
Modified: 2015-01-04 17:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 02:38:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Marcano 2005-04-13 21:48:31 EDT
Description of problem:

Unable to load an externally compiled video kernel module (ATI v8.12.10) with
the latest release 2.6.11 kernel, The error after runnng dmesg:

"*ERROR* Unable to the open some already present DRM kernel module!"

Version-Release number of selected component (if applicable):

kernel-2.6.11-1.14_FC3

Additional info:

This message on the kml:
http://groups.google.co.ve/groups?hl=es&lr=&client=firefox-a&rls=org.mozilla:en-US:official&selm=3N0UT-4U6-3%40gated-at.bofh.it

explains that it is recommended for kernels 2.6.11 and after to config DRM as a
module: CONFIG_DRM=m, a change from the current value: CONFIG_DRM=y

This change solves the problem loading the ATI driver
Comment 1 Dave Jones 2005-04-14 01:30:08 EDT
Fixed in CVS for FC3/FC4, will be in subsequent builds.

Note You need to log in before you can comment on or make changes to this bug.